<cfsSimulation xmlns="http://www.cfs++.org/simulation"
 xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
 xsi:schemaLocation="http://www.cfs++.org/simulation ../../../../../share/xml/CFS-Simulation/CFS.xsd">
 
  <documentation>
    <title>Glass of Water</title>
    <authors>
      <author>ascharner</author>
    </authors>
    <date>2023-09-13</date>
    <keywords>
      <keyword>waterWaves</keyword>
    </keywords>
    <references>
    </references>
    <isVerified>no</isVerified>
    <description>
      This Testcase checks the postprocessing results for water surface Force/Torque,
      and the respective Force/Torque densities. An acceleration is applied at the container boundary,
      and resulting Force/Torque and corresponding Density Results are stored.
      Verification of the Force/Torque results is done in Container3DforceTorque_waterWaveMech.xml
    </description>
  </documentation>
  <fileFormats>
    <input>
      <!--cdb fileName="GlassOfWater.cdb"/-->
      <hdf5 fileName="Container3DforceTorque.h5ref"/>
    </input>
    <output>
      <hdf5/>
      <text id="txt" />
    </output>
    <materialData file="mat.xml" format="xml"/>
  </fileFormats>

  <domain geometryType="3d">
    <regionList>
      <region name="V_water" material="water"/>
    </regionList>
  </domain> 

  <sequenceStep index="1">
    <analysis>
      <harmonic>
        <numFreq>2</numFreq>
        <startFreq>1
        </startFreq>
        <stopFreq>7.5</stopFreq>
      </harmonic>
    </analysis>
    <pdeList>
      <waterWave> 
        <regionList>
          <region name="V_water"/>
        </regionList>
        <bcsAndLoads>
          <freeSurfaceCondition name="S_surface" volumeRegion="V_water"/>
          <acceleration name="S_glass-water">
            <comp dof="x" value="0.1" />
            <comp dof="y" value="0.0" />
          </acceleration>
        </bcsAndLoads>
        <storeResults>
          <nodeResult type="waterPressure" complexFormat="realImag">
            <allRegions/>
          </nodeResult>
          <elemResult type="waterPosition">
            <allRegions/>
          </elemResult>	
          <surfElemResult type="waterSurfaceTraction">
            <surfRegionList>
              <surfRegion name="S_glass-water"/>
            </surfRegionList>
          </surfElemResult>
          <surfElemResult type="waterSurfaceTorqueDensity">
            <surfRegionList>
              <surfRegion name="S_glass-water"/>
            </surfRegionList>
          </surfElemResult>
          <surfRegionResult type="waterSurfaceForce">
            <surfRegionList>
              <surfRegion name="S_glass-water" outputIds="txt,hdf5"/>
            </surfRegionList>
          </surfRegionResult>
          <surfRegionResult type="waterSurfaceTorque">
            <surfRegionList>
              <surfRegion name="S_glass-water" outputIds="txt,hdf5"/>
            </surfRegionList>
          </surfRegionResult>
        </storeResults>
      </waterWave>
    </pdeList>
    <linearSystems>
      <system>
        <solutionStrategy>
          <standard>
            <matrix storage="sparseNonSym" reordering="noReordering"/>
          </standard>
        </solutionStrategy>
      </system>
    </linearSystems>
  </sequenceStep>
</cfsSimulation>